Phase10 Release Certification
curl --request POST \
--url https://api.tracelm.ai/api/v1/reliability/phase10/release-certificationimport requests
url = "https://api.tracelm.ai/api/v1/reliability/phase10/release-certification"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.tracelm.ai/api/v1/reliability/phase10/release-certification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Reliability
Phase10 Release Certification
Evaluate must-pass suites + benchmark metrics and return release gate status
POST
/
api
/
v1
/
reliability
/
phase10
/
release-certification
Phase10 Release Certification
Evaluates release readiness by combining CI suite status and competitive benchmark metrics.
Auth
Authorization: Bearer <jwt>
Request Body
{
"must_pass_suites": {
"goal1_execution_cycle_tracing": true,
"goal2_tool_failure_visibility": true
},
"benchmark_metrics": {
"ingest_success_rate_pct": 99.96,
"dedupe_mismatch_rate_pct": 0.03,
"query_p95_ms": 520,
"query_p99_ms": 980,
"incident_precision_pct": 92.4,
"incident_recall_pct": 93.1,
"security_authorization_pass_pct": 100,
"migration_interop_pass_pct": 96.8
}
}
Response
{
"pass_all": true,
"suite_checks": {},
"benchmark_checks": {},
"failed_suites": [],
"failed_benchmarks": [],
"thresholds": {}
}
⌘I

